import { LanguageService } from './language.service';
/**
 * @Author [GrigoreMe](https://github.com/grigoreme)
 */
export declare class TranspilationService {
    private language;
    constructor(language: LanguageService);
    /**
     * Resolve all the interpolations and pipes from given html.
     * For now it can recognize only translate pipe.
     * @param html
     */
    transpileHtml(html: string): Promise<string>;
    /**
     * Resolve pipe by match. ( Ex: 'some_key | ltranslate' ).
     * Can only deal with translate pipe for now.
     * @param match
     */
    resolvePipe(match: string): Promise<{}>;
    /**
     * Remove any of [whitespaces, ', {, }];
     * @param match
     */
    sanitize(match: string): string;
    readonly pattern: RegExp;
}
